Intelligence API

Data freshness is governed by the user role and delay attached. Refer to Roles and data delays for more information.

Authentication

Check the authentication page to see the available options.

Access and authenticationchevron-right

PreCrime Intelligence Feed

Intelligence feed endpoint

get

Returns a list of indicators between since and until and between min_score and max_score.

Authorizations
OAuth2passwordRequired
Token URL:
cookie
company_idany ofOptional
integerOptional
or
nullOptional
Query parameters
sincestring · date-timeOptional
untilany ofOptional
string · date-timeOptional
or
nullOptional
min_scorenumber · max: 1OptionalDefault: 0
max_scorenumber · max: 1OptionalDefault: 1
orderstring · enumOptionalDefault: ascendingPossible values:
urlany ofOptional
stringOptional
or
nullOptional
pageinteger · min: 1Optional

Page number

Default: 1
sizeinteger · min: 1 · max: 1000OptionalDefault: 1000
Responses
chevron-right
200

Successful Response

application/json
totalany ofRequired
integerOptional
or
nullOptional
pageany ofRequired
integer · min: 1Optional
or
nullOptional
sizeany ofRequired
integer · min: 1Optional
or
nullOptional
pagesany ofOptional
integerOptional
or
nullOptional
get
/v2/feed/intel

Deprecated version

triangle-exclamation

Get domain list

get

Returns the list of domains processed from a specific start time, limited by record count and score.

Use this endpoint to retrieve domains that have been analyzed by the PreCrime Intelligence engine within a specified timeframe and matching minimum score criteria.

Authorizations
AuthorizationstringRequired

JWT token obtained from /user/login endpoint

Query parameters
sstringRequired

Start date, either ISO 8601 format or Unix timestamp

Example: 2024-04-13T01:00:00
estringRequired

End date, either ISO 8601 format or Unix timestamp. Limited to 24 hours after the start date

Example: 2024-04-14T01:00:00
cinteger · min: 1 · max: 10000Optional

Maximum records returned

Example: 2
dnumber · float · max: 1Optional

Minimum score threshold (0.0-1.0)

Example: 0.8
Responses
chevron-right
200

List of domains matching the criteria

application/json
Idinteger · int64Optional

Unique domain identifier

Example: 246884482
NamestringOptional

Domain name

Example: spreekwijzen.nl
DomainCreatedstring · date-timeOptional

Date and time when the domain was first processed

Example: 2024-04-13T01:13:26
ScoreCreatedstring · date-timeOptional

Date and time when the score was assigned

Example: 2024-04-15T02:38:29
Scorenumber · float · max: 1Optional

Confidence level that the domain is controlled by malicious actors (0.0-1.0).

Score Categories:

  • 0-0.49: Safe domains
  • 0.5: Monitored domains
  • 0.51-0.79: Suspicious domains
  • = 0.8: Malicious domains (recommended for blocking)

Special Scores:

  • 0.12345600128173828: False Positive
  • 0.9876539707183838: PreCrime Active Defense (Known malicious threat against monitored brands)
Example: 1
get
/domain/list

Last updated

Was this helpful?